#
# WARNING, READ FIRST:
#
# This is a special package that needs special treatment. Due to the amount of
# security updates it needs, it's common to ship new upstream versions instead of patching.
# That means this package MUST be BUILDABLE for stable official releases.
# This also means only STABLE upstream releases, NO betas.
# This is a discussed topic. Please, do not flame it again.

# required for, at least, 2009.0
%if %mdkversion < 200910
# (tpg) nss libraries are not conventinaly named(mozilla still sux),
# thanks to this auto dependencies are wongly generated for devel libraries
# blacklisting all nss libraries should solve this
%define _requires_exceptions libnss3\\|libnssutil3\\|libsmime3\\|libssl3\\|libnspr4\\|libplc4\\|libplds4
%endif

# (tpg) DO NOT FORGET TO SET EXACT XULRUNNER and FIREFOX VERSIONS !
%define ffver 3.6.3
%define version_internal 1.9.2.3

# (tpg) define release here
%if %mandriva_branch == Cooker
# Cooker
%define release %mkrel 5
%else
# Old distros
%define subrel 1
%define release %mkrel 0
%endif

# (tpg) DO NOT FORGET TO SET EXACT MAJOR!
# in this case %{major} == %{version_internal}
%define major %{version_internal}
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define develunstname %mklibname %{name}-unstable -d
%define sname firefox

# (tpg) various directory defines
%define mozappdir %{_libdir}/%{name}-%{version_internal}

# (salem) ugly but avoids hardcoding package versions (#42745)
# TODO: needs a better solution. (%__isa macro)?
%define hunspellver %(rpm -q --whatprovides libhunspell --queryformat %{NAME})
%define nssver %(rpm -q --whatprovides mozilla-nss --queryformat %{NAME})
%define nsprver %(rpm -q --whatprovides mozilla-nspr --queryformat %{NAME})

# mdv2009.0 introduced a system wide libhunspell
%if %mdkversion >= 200900
%define _use_syshunspell 1
%else
%define _use_syshunspell 0
%endif

Summary:	XUL Runtime for Gecko Applications
Name:		xulrunner
Version:	%{version_internal}
Release:	%{release}
License:	MPLv1.1 or GPLv2+ or LGPLv2+
Group:		Development/Other
Url:		http://developer.mozilla.org/en/docs/XULRunner
Source0:	ftp://ftp.mozilla.org/pub/mozilla.org/%{sname}/releases/%{ffver}/source/%{sname}-%{ffver}.source.tar.bz2
Source1:	%{SOURCE0}.asc
Patch1:		xulrunner-1.9.1-max-path-len.patch
Patch5:		mozilla-nongnome-proxies.patch
Patch7:		%{name}-1.9.1-pluginsdir2.patch
# Fedora patches:
# use 1.9 as xulrunner version in the dirname and not the complete version string
Patch8:		xulrunner-1.9.0.1-version.patch
Patch10:	xulrunner-1.9.2-pkgconfig.patch
# (salem) this patch does not work properly on ff3
#Patch11:	xulrunner-1.9.0.1-theme-selection.patch
Patch12:	xulrunner-1.9.0.5-fix-string-format.patch
Patch14:	xulrunner-1.9.1-jemalloc.patch
Patch15:	xulrunner-1.9.1-gtk2.patch
Patch16:	xulrunner-1.9.1-java-make-j1.patch
Patch17:	xulrunner-1.9.2-public-opearator-delete.patch
# (tpg) https://bugzilla.mozilla.org/show_bug.cgi?id=526152
Patch18:	xulrunner-1.9.2-jemalloc-alignment-assertion.patch
Patch19:	xulrunner-1.9.2-fix-plugins-cflags.patch
Patch20:	xulrunner-1.9.2-helper-app.patch 
Patch21:	xulrunner-1.9.2-kde-integration.patch
Patch22:	mozilla-1.9.2-startup_notification_fix.diff
Patch25:	xulrunner-1.9.2-realpath.patch
Patch26:	mozilla-1.9.2-gtk2.diff
BuildRequires:	zlib-devel
BuildRequires:	bzip2-devel
#(tpg) older versions doesn't support apng extension
%if %mdkversion >= 200900
BuildRequires:	libpng-devel >= 1.2.25-2
%endif
%if %_use_syshunspell
BuildRequires:	libhunspell-devel
%endif
BuildRequires:	libIDL2-devel
BuildRequires:	gtk+2-devel
BuildRequires:	startup-notification-devel
BuildRequires:	dbus-glib-devel
%if %mdkversion >= 200800
BuildRequires:	libsqlite3-devel >= 3.6.16.1
%endif
BuildRequires:	libgnome-vfs2-devel
BuildRequires:	libgnome2-devel
BuildRequires:	libgnomeui2-devel
%if %mdkversion >= 200900
BuildRequires:	java-rpmbuild
%endif
%if %mdkversion < 200900
BuildRequires:	java-1.5.0-devel
%endif
BuildRequires:	zip
BuildRequires:	doxygen
BuildRequires:	makedepend
BuildRequires:	valgrind
BuildRequires:	rootcerts
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	nspr-devel >= 2:4.8.4
BuildRequires:	nss-static-devel >= 2:3.12.6
BuildRequires:	pango-devel
BuildRequires:	libalsa-devel
BuildRequires:	libnotify-devel
BuildRequires:	mesagl-devel
%if %mdkversion >= 201000
BuildRequires:	cairo-devel >= 1.8.8
%endif
Requires:	%{libname} = %{version}-%{release}
Conflicts:	xulrunner < %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
XULRunner is a Mozilla runtime package that can be used to
bootstrap XUL+XPCOM applications that are as rich as Firefox
and Thunderbird. It will provide mechanisms for installing,
upgrading, and uninstalling these applications. XULRunner will
also provide libxul, a solution which allows the embedding of
Mozilla technologies in other projects and products.

%package -n %{libname}
Summary:        Dynamic libraries for %{name}
Group:          System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	xulrunner < %{version}
Obsoletes:	%{mklibname xulrunner 1.9.2} < %{version}-%{release}
Requires:	rootcerts
# (tpg) manually pull dependancies on libnss3 and libnspr4, why ? see above
Requires:	%{nssver} >= 2:3.12.6
Requires:	%{nsprver} >= 2:4.8.4
%if %_use_syshunspell
# (salem) fixes #42745
Requires:	%{hunspellver}
%endif
# (salem) bug #42680 for noarch packages
Provides:	libxulrunner = %{version}-%{release}

%description -n %{libname}
Dynamic libraries for %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Obsoletes:	xulrunner-devel < 1.9.2
Obsoletes:	%{mklibname mozilla-firefox -d} < 0:3
Obsoletes:	%{mklibname %{name}-unstable -d}
Provides:	%{name}-devel = %{version}-%{release}
# (tpg) see above why
Requires:	nss-devel
Requires:	libalsa-devel

%description -n %{develname}
Development files and headers for %{name}.

%prep
%setup -qn mozilla-1.9.2
%patch1 -p1 -b .pathlen
%patch5 -p0 -b .proxy
%patch7 -p1 -b .plugins
%patch8 -p1 -b .version
%patch10 -p1 -b .pkgconfig
%patch12 -p0 -b .strformat
%patch14 -p1 -b .jemalloc
#%patch15 -p1 -b .gtk2
%patch16 -p1 -b .java_make-j1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p0
%patch25 -p1

%if %mdkversion < 200900
# patch by fcrozat
%patch26 -p0
%endif

# needed to regenerate certdata.c
pushd security/nss/lib/ckfw/builtins
perl ./certdata.perl < /etc/pki/tls/mozilla/certdata.txt
popd

#(tpg) correct the xulrunner version
sed -i -e 's#INTERNAL_VERSION#%{version_internal}#g' xulrunner/installer/Makefile.in

%build
%serverbuild
export PREFIX="%{_prefix}"
export LIBDIR="%{_libdir}"
export CFLAGS="$(echo %{optflags} | sed -e 's/-Wall//')"
export CXXFLAGS="$CFLAGS"
%if %mdkversion >= 200900
export LDFLAGS="%ldflags -Wl,-rpath,%{mozappdir}"
%else
# macro ldflags is nonexisting in older distro versions
export LDFLAGS="$LDFLAGS -Wl,-rpath,%{mozappdir}"
%endif

# (tpg) don't use macro here
# (fhimpe) Starting from Firefox 3.0.1, at least sqlite 3.5.9 is needed
# so don't use system sqlite on Mandriva older than 2009.0
./configure \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir} \
	--datadir=%{_datadir} \
	--sysconfdir=%{_sysconfdir} \
	--enable-application=xulrunner \
	--with-pthreads \
	--with-system-jpeg \
	--with-system-zlib \
	--with-system-bz2 \
%if %mdkversion >= 200900
	--enable-system-png \
%else
	--disable-system-png \
%endif
	--with-system-nspr \
	--with-system-nss \
%if %mdkversion >= 200800
	--enable-system-sqlite \
%else
	--disable-system-sqlite \
%endif
%if %mdkversion >= 201000
	--enable-system-cairo \
%else
	--disable-system-cairo \
%endif
%if %_use_syshunspell
	--enable-system-hunspell \
%endif
	--enable-javaxpcom \
	--enable-pango \
	--enable-svg \
	--enable-canvas \
	--enable-crypto \
	--disable-crashreporter \
	--disable-installer \
	--disable-updater \
	--enable-optimize \
	--enable-jemalloc \
	--disable-wrap-malloc \
	--enable-valgrind \
	--disable-strip \
	--enable-startup-notification \
	--enable-default-toolkit=cairo-gtk2 \
	--with-java-include-path=%{java_home}/include \
	--with-java-bin-path=%{java_home}/bin \
	--enable-image-encoder=all \
	--enable-image-decoders=all \
	--enable-places \
	--enable-storage \
	--enable-safe-browsing \
	--enable-url-classifier \
	--enable-gnomevfs \
	--enable-gnomeui \
	--disable-faststart \
	--enable-smil \
	--disable-tree-freetype \
	--disable-canvas3d \
	--enable-coretext \
	--enable-extensions=default \
	--enable-necko-protocols=all \
	--disable-necko-wifi \
	--disable-tests \
	--disable-mochitest \
	--with-distribution-id=com.mandriva

%__perl -p -i -e 's|\-0|\-9|g' config/make-jars.pl

# (tpg) on x86_64 fails when parallel compiling is on
# java.lang.OutOfMemoryError
# since 3.6 it does not
%make

%install
rm -rf %{buildroot}

%makeinstall_std

install -p dist/sdk/bin/regxpcom %{buildroot}%{mozappdir}

rm -rf %{buildroot}%{_libdir}/%{name}-devel-%{version_internal}/sdk/lib/*.so
pushd %{buildroot}%{mozappdir}
for i in *.so; do
    ln -s %{mozappdir}/$i %{buildroot}%{_libdir}/%{name}-devel-%{version_internal}/sdk/lib/$i
done
popd

# GRE stuff
%ifarch x86_64 ia64 ppc64 s390x
%define gre_conf_file %{version_internal}-64.system.conf
mv %{buildroot}%{_sysconfdir}/gre.d/*.system.conf %{buildroot}%{_sysconfdir}/gre.d/%{gre_conf_file}
%else
%define gre_conf_file %{version_internal}.system.conf
%endif

# Don't install these in appdir
rm  %{buildroot}%{mozappdir}/LICENSE
rm  %{buildroot}%{mozappdir}/README.txt

%if %_use_syshunspell
# Use the system hunspell dictionaries
rm -rf %{buildroot}%{mozappdir}/dictionaries
ln -s %{_datadir}/dict/mozilla %{buildroot}%{mozappdir}/dictionaries
%endif

# ghost files
mkdir -p %{buildroot}%{mozappdir}/components
touch %{buildroot}%{mozappdir}/components/compreg.dat
touch %{buildroot}%{mozappdir}/components/xpti.dat

# set up our default preferences
cat << EOF > %{buildroot}%{mozappdir}/defaults/pref/vendor.js
pref("general.useragent.vendor", "%{distribution}");
pref("general.useragent.vendorSub", "%{version}-%{release}");
pref("general.useragent.vendorComment", "%{mandriva_release}");
pref("general.smoothScroll", true);
pref("mousewheel.horizscroll.withnokey.action", 0);
pref("mousewheel.horizscroll.withnokey.numlines", 3);
pref("mousewheel.horizscroll.withnokey.sysnumlines", false);
pref("mousewheel.withnokey.action", 0);
pref("mousewheel.withnokey.numlines", 7);
pref("mousewheel.withnokey.sysnumlines", false);
pref("network.protocol-handler.app.mailto", "/usr/bin/xdg-email");
pref("network.protocol-handler.app.mms", "/usr/bin/xdg-open");
pref("network.http.pipelining", true);
pref("network.http.proxy.pipelining", true);
pref("network.http.pipelining.maxrequests", 8);
pref("browser.display.use_system_colors", true);
pref("browser.tabs.loadDivertedInBackground", true);
pref("browser.startup.homepage_override.mstone", "ignore");
pref("browser.backspace_action", 2);
pref("browser.tabs.loadFolderAndReplace", false);
pref("browser.EULA.override", true);
pref("browser.safebrowsing.enabled", true);
pref("browser.shell.checkDefaultBrowser", false);
pref("browser.startup.homepage", "file:///usr/share/doc/HTML/index.html");
pref("browser.ctrlTab.previews", true);
pref("browser.tabs.insertRelatedAfterCurrent", false);
pref("print.print_edge_top", 14); // 1/100 of an inch
pref("print.print_edge_left", 16); // 1/100 of an inch
pref("print.print_edge_right", 16); // 1/100 of an inch
pref("print.print_edge_bottom", 14); // 1/100 of an inch
pref("app.update.enabled", false);
pref("app.update.auto", false);
pref("app.update.autoInstallEnabled", false);
pref("intl.locale.matchOS", true);
pref("toolkit.storage.synchronous", 0);
pref("layout.css.visited_links_enabled", false);
pref("security.ssl.require_safe_negotiation", false);
EOF

%find_lang %{name}

mkdir -p %{buildroot}%{_sys_macros_dir}
cat <<FIN >%{buildroot}%{_sys_macros_dir}/%{name}.macros
# Macros from %{name} package
%%xulrunner_major            %{major}
%%xulrunner_version          %{version}
%%xulrunner_libname          %{libname}
%%xulrunner_mozappdir        %{mozappdir}
FIN

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README.txt
%dir %{mozappdir}
%{_bindir}/xulrunner

%files -n %{libname}
%defattr(-,root,root)
%{mozappdir}/chrome
%{mozappdir}/dictionaries
%dir %{mozappdir}/components
%ghost %{mozappdir}/components/compreg.dat
%ghost %{mozappdir}/components/xpti.dat
%{mozappdir}/components/*.so
%{mozappdir}/components/*.xpt
%{mozappdir}/components/*.list
%attr(644, root, root) %{mozappdir}/components/*.js
%{mozappdir}/defaults
%{mozappdir}/greprefs
%dir %{mozappdir}/icons
%attr(644, root, root) %{mozappdir}/icons/*
%{mozappdir}/modules
%{mozappdir}/plugins
%{mozappdir}/res
%{mozappdir}/*.so
%{mozappdir}/mozilla-xremote-client
%{mozappdir}/run-mozilla.sh
%{mozappdir}/regxpcom
%{mozappdir}/xulrunner
%{mozappdir}/xulrunner-bin
%{mozappdir}/xulrunner-stub
%{mozappdir}/platform.ini
%{mozappdir}/dependentlibs.list
%{mozappdir}/javaxpcom.jar
%dir %{_sysconfdir}/gre.d
%{_sysconfdir}/gre.d/*.conf

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/%{name}-%{version_internal}
%{mozappdir}/xpcshell
%{mozappdir}/xpidl
%{mozappdir}/xpt_dump
%{mozappdir}/xpt_link
%{_libdir}/%{name}-devel-%{version_internal}
%{_libdir}/pkgconfig/*.pc
%{_datadir}/idl/%{name}-%{version_internal}
%{_sys_macros_dir}/%{name}.macros


%changelog
* Thu Apr 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.3-5mdv2010.1
+ Revision: 533026
- set security.ssl.require_safe_negotiation to false. there's too many sites that are affected, including https://qa.mandriva.com

* Thu Apr 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.3-4mdv2010.1
+ Revision: 532887
- synced prefs from the firefox package

* Wed Apr 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.3-3mdv2010.1
+ Revision: 532691
- rebuild
- more backport fixes
- adjust deps a bit
- fix deps

* Tue Apr 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.3-2mdv2010.1
+ Revision: 532327
- make it backportable to 2008.0

* Sat Apr 03 2010 Funda Wang <fwang@mandriva.org> 1.9.2.3-1mdv2010.1
+ Revision: 530861
- New version 1.9.2.3 (ff 3.6.3)

* Tue Mar 23 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.2-1mdv2010.1
+ Revision: 526885
- it really needs nss-3.12.6
- adjust deps and version
- 3.6.2
- rediffed P21
- adjust deps

  + Claudio Matsuoka <claudio@mandriva.com>
    - launch firefox even if "firefox" dir exists in current directory
    - prevent css script from getting urls of last visited sites by user

* Mon Jan 25 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2-2mdv2010.1
+ Revision: 495711
- P22: fix startup notification borkiness

* Thu Jan 21 2010 Funda Wang <fwang@mandriva.org> 1.9.2-1mdv2010.1
+ Revision: 494595
- new version 1.9.2 final (ff 3.6)

* Tue Jan 19 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.9.2-0.rc2.2mdv2010.1
+ Revision: 493928
- add patches for kde integration

* Mon Jan 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.2-0.rc2.1mdv2010.1
+ Revision: 493268
- update to new versin 3.6-rc2

* Mon Jan 11 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2-0.rc1.2mdv2010.1
+ Revision: 489710
- rebuilt against libjpeg v8

* Sat Jan 09 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.2-0.rc1.1mdv2010.1
+ Revision: 487941
- update to new version 3.6-rc1

* Thu Dec 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.2-0.b5.3mdv2010.1
+ Revision: 482069
- Patch18: fix  jemalloc alignment assertion and abort (mozilla bug #526152)
- Patch19: fix plugins cflags

* Sat Dec 19 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.2-0.b5.2mdv2010.1
+ Revision: 480164
+ rebuild (emptylog)

* Sat Dec 19 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.2-0.b5.2
+ Revision: 480038
- use coretext for text rendering

  + Christophe Fergeau <cfergeau@mandriva.com>
    - get rid of python-xpcom
    - make sure libxul-embedding.pc depends on nspr, breaks galeon configure otherwise

* Thu Dec 17 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.2-0.b5.1mdv2010.1
+ Revision: 479842
- update to new version 1.9.2-beta5

* Wed Dec 16 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.9.2-0.b4.3mdv2010.1
+ Revision: 479527
- rebuild with python-xpcom enabled

* Wed Dec 16 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.9.2-0.b4.2mdv2010.1
+ Revision: 479432
- rebuild for main
- switch to xulrunner 1.9.2

* Wed Dec 16 2009 Funda Wang <fwang@mandriva.org> 1.9.1.6-1mdv2010.1
+ Revision: 479142
- new version 1.9.1.6

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 1.9.1.5-1mdv2010.1
+ Revision: 460567
- New version 1.9.1.5 (ff 3.5.5)

  + Oden Eriksson <oeriksson@mandriva.com>
    - fix deps; at least since firefox-3.5.4 sqlite > 3.6.16 is required

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - really enable valgrind
    - requires nspr 4.8, 4.7.5 is not enough

* Sun Sep 13 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.1.3-2mdv2010.0
+ Revision: 438982
- reupload

  + Funda Wang <fwang@mandriva.org>
    - New version 3.5.3

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - java-make-j1.patch: prevent java compilation from exhausting resources when using a too big -j

* Sun Aug 23 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.1.2-4mdv2010.0
+ Revision: 420168
- fix last commit about mouse wheel
  o horizontal scrolls 3 lines
  o vertical scrolls 7 lines
- remove some old, and not used  patches in svn
- remove buildrequires on lcms-devel
- do not overrite defailt optimization flags in --enable-optimize switch
- mousewheel scrolls now three lines on move

* Tue Aug 18 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1.9.1.2-2mdv2010.0
+ Revision: 417560
- added macros for packages requiring xulrunner
- starting with 1.9.0.13 we require specific versions of nss/nspr. (merged
  from r410996)
- new version 1.9.1.2 (Firefox 3.5.2), merged from cooker/xulrunner/branches/current

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.9.0.13-3mdv2010.0
+ Revision: 416535
- rebuilt against libjpeg v7

* Fri Aug 07 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.9.0.13-2mdv2010.0
+ Revision: 410996
- Starting with 1.9.0.13 we require specific versions of nss/nspr.

* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.9.0.13-1mdv2010.0
+ Revision: 408632
- Updated to 3.0.13.

* Thu Jul 23 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.9.0.12-3mdv2010.0
+ Revision: 399094
- Disable parallel make.
- Updated to 1.9.0.12 (FF 3.0.12)

* Tue Jun 16 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.9.0.11-2mdv2010.0
+ Revision: 386356
- Updated sqlite3 dependencies for xulrunner 1.9.0.11.

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - use %%mandriva_branch again

* Fri Jun 12 2009 Funda Wang <fwang@mandriva.org> 1.9.0.11-1mdv2010.0
+ Revision: 385512
- New version 1.9.0.11 (FF 3.0.11)

* Mon Jun 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0.10-2mdv2010.0
+ Revision: 382066
- Patch13: fix compiling with gcc-4.4.0
- rebuild for new nspr4 and nss libraries

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 1.9.0.10-1mdv2010.0
+ Revision: 369408
- use mandriva_branch to detect cooker rather than hardcode version

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 3.0.10

* Sat Mar 28 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1.9.0.8-1mdv2009.1
+ Revision: 361833
- new version 1.9.0.8

* Mon Mar 23 2009 Oden Eriksson <oeriksson@mandriva.com> 1.9.0.7-2mdv2009.1
+ Revision: 360728
- rebuilt to pickup new data from the rootcerts (20090115.00) package

* Wed Mar 11 2009 Oden Eriksson <oeriksson@mandriva.com> 1.9.0.7-1mdv2009.1
+ Revision: 354018
- 3.0.7

* Sun Mar 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0.6-2mdv2009.1
+ Revision: 346354
- enable pipelining for proxies
- rise up network.http.pipelining.maxrequests to 8

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - oops! de-inverted the mdkversion test for _requires_exceptions
    - re-added _requires_exceptions removed by fwang on r315183, needed at least for 2009.0

* Tue Feb 03 2009 Funda Wang <fwang@mandriva.org> 1.9.0.6-1mdv2009.1
+ Revision: 336981
- New version 1.9.0.6

* Thu Jan 15 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1.9.0.5-3mdv2009.1
+ Revision: 329911
- buildrequire python-devel for python xpcom bindings
- automate subrel definition when building for older distros
- build xpcom python bindings for Mdv 2009.1 and later
- prepare xulrunner to build on older distro versions too

* Mon Dec 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0.5-2mdv2009.1
+ Revision: 317670
- compile with %%ldflags
- add few warnings to the spec file

  + Funda Wang <fwang@mandriva.org>
    - New version 1.9.0.5
    - fix building with new cflags

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - adding big banner to the spec, to prevent people from messing it up, same thing as firefox

* Thu Nov 13 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.9.0.4-1mdv2009.1
+ Revision: 302852
- new version, 1.9.0.4
- reverting r299474 file name fix, .cpp is only in firefox-3.1, .c in firefox-3.0

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update firefox tarball to version 3.0.4 (xulrunner 1.9.0.3)
    - update to firefox 3.1-beta1

  + Olivier Blin <oblin@mandriva.com>
    - fix jsfile.cpp path in path_len patch

* Sat Sep 27 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0.3-1mdv2009.0
+ Revision: 288943
- update firefox tarball to version 3.0.3 (xulrunner 1.9.0.3)

* Thu Sep 25 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.2-1mdv2009.0
+ Revision: 288008
- update firefox tarball to version 3.0.2 (xulrunner 1.9.0.2)

* Sun Sep 14 2008 Frederic Crozat <fcrozat@mandriva.com> 1.9.0.1-16mdv2009.0
+ Revision: 284637
- Update patch10 to specify libdir for mozilla-js, needed for correct rpath linking in google-gadgets

* Tue Sep 02 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.1-15mdv2009.0
+ Revision: 279088
- obsolete old libmozilla-firefox-devel
- bump release

* Thu Aug 21 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.1-14mdv2009.0
+ Revision: 274837
- add upstream patches to fix crash with windowless plugins (swfdec)
  #445250 and #435764 in mozilla bugzilla
- bump release

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 1.9.0.1-13mdv2009.0
+ Revision: 274241
- more devel exceptions

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 1.9.0.1-12mdv2009.0
+ Revision: 274202
- try to fix requires exceptions again to make the devel package installable

* Tue Aug 19 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.1-11mdv2009.0
+ Revision: 273964
- removing wrong \\| in the end of _requires_exceptions
- bump release

* Mon Aug 18 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.1-10mdv2009.0
+ Revision: 273273
- changing defines to be able to submit.
- disabling auto theme selection.
- bump release
- change requires to work on biarch systems
  not using %%arch_tagged to prevent hardcoding the version.

* Wed Aug 13 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.1-9mdv2009.0
+ Revision: 271429
- fix Requires to libhunspell
- bump release
- add requires to libhunspell (#42745)
- provide libxulrunner for noarch packages (#42680)

* Mon Aug 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0.1-8mdv2009.0
+ Revision: 270855
- remove wrong requires on nspr-static-devel(?)
- move requires to the xulrunner library subpackage
- manually pull dependancies on libnss3 and libnspr4
- use more appropriate name for unstable devel library
- blacklist all nss libraries, this prevent auto pulling them as a dependencies for xulrunner-devel package
- drop patch 9, completely wrong way
- add buildrequires on nss-static-devel
- fix file list
- Patch9: fix building against system-wide nss library
- enable build against system wide nspr and nss libraries
- add few options to configure stage

  + Frederik Himpe <fhimpe@mandriva.org>
    - Remove BuildRequires: freetype-devel, this is the old freetype. The new
      libfreetype6-devel we need is actually already required by pango-devel

* Fri Aug 01 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.1-5mdv2009.0
+ Revision: 259973
- add patch to auto select theme on firefox
- do not obsolete mozilla-firefox-gnome-support. It must be obsoleted by firefox package.
- change gre_conf_file to use macros instead of shell variables
- bump release
- obsoleting mozilla-firefox-gnome-support as xulrunner now provides libnkgnomevfs.so

  + Frederik Himpe <fhimpe@mandriva.org>
    - Use major in gre config file name, so that future xulrunner
      versions won't conflict

* Wed Jul 30 2008 Frederik Himpe <fhimpe@mandriva.org> 1.9.0.1-4mdv2009.0
+ Revision: 254206
-Add some BuildRequires on GNOME libraries, which will hopefull bring
 back file type associations in Firefox built with xulrunner
- xulrunner package should depend on xulrunner library

* Tue Jul 29 2008 Frederik Himpe <fhimpe@mandriva.org> 1.9.0.1-3mdv2009.0
+ Revision: 253592
- Add BuildRequires: python
- Remove BuildRequires: gourmet
- (Fedora): cleanup: remove some unneeded install commands
- (Fedora): use system myspell directionaries
- Try to fix permissions of /usr/share/doc/xulrunner
- (Fedora) Package chk files, they are needed for nss and FIPS 140
- Integrate Firefox package vendor.js prefs file, and add from Fedora:
  * pref("toolkit.storage.synchronous", 0); (works around the infamous
    ext3 fsync problem with Firefox 3)
  * pref("intl.locale.matchOS", true); (use system locale for UI)
  * pref("app.update.autoInstallEnabled", false);

* Sun Jul 27 2008 Frederik Himpe <fhimpe@mandriva.org> 1.9.0.1-2mdv2009.0
+ Revision: 250321
- Don't define name, version and release
- Attempt to libify the package so that 64 bits users can also
  install the 32 bits libraries
- Don't make header files biarch aware, installing 32 and 64 bits
  devel pacakges at the same time is not supported on Mandriva anyway
- Don't add xulrunner directory to ld.so.conf.d
- Remove mochitest patch, we are not building these test anyway
- Install README.txt and LICENSE files in /usr/share/doc
- Re-enable startup notification which was disabled by accident

* Sat Jul 26 2008 Frederik Himpe <fhimpe@mandriva.org> 1.9.0.1-1mdv2009.0
+ Revision: 250050
- Synchronise with Fedora SPEC to make xulrunner actually usable:
  * Fix license
  * Add  prefs.js with some Mandriva custom settings
  * Put stable and unstable API development files in different
    directories
  * Create xulrunner-devel-unstable which contains development files
    with unstable API
  * Add Fedora patch to use 1.9 as xulrunner version in the directory
    name instead of the complete version string
  * Add Fedora mochitest patch to fix building with system nspr and
    nss with test enabled
  * Add Fedora pkgconfig patch to fix locations in pkgconfig files
  * Disable building tests
- New version 1.9.0.1
- Make it possible to build xulrunner from the Firefox sources, and
  do so for Xulrunner 1.9.0.1 built from Firefox 3.0.1 sources
- Remove sqlite3 patch, problem fixed upstream
- Only use system sqlite on Mandriva 2009.0 and newer, because
  it requires at least sqlite 3.5.9

* Sun Jul 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9-1mdv2009.0
+ Revision: 238857
- initial package for Mandriva(work in progress)
- backport few patches from firefox-3.0
- try better idea for pluginsdir patch, first check /usr/lib64 and then /usr/lib for mozilla plugins
- Created package structure for xulrunner.

